Ubuntu, KnpConsoleAutocompleteBundle и php 5.3.10

Есть такой клёвый бандл KnpConsoleAutocompleteBundle от KnpLabs, суть которого заключается в автоподстановке команд для скрипта консоли Symfony2.

Т.е. набираешь “./app/console doc” жмешь [Tab] и получаешь “./console doctrine:”. Жмешь [Tab] ещё два раза и получаешь все варианты комманд:

$ ./app/console doctrine:
doctrine:cache:clear-metadata        doctrine:generate:form
doctrine:cache:clear-query           doctrine:mapping:convert
doctrine:cache:clear-result          doctrine:mapping:import
doctrine:database:create             doctrine:mapping:info
doctrine:database:drop               doctrine:query:dql
doctrine:ensure-production-settings  doctrine:query:sql
doctrine:generate:crud               doctrine:schema:create
doctrine:generate:entities           doctrine:schema:drop
doctrine:generate:entity             doctrine:schema:update

Вобщем удобно очень :).

Одна проблема — не работает под Ubuntu )). Есть даже тикет соотвествующий от Люиса Кордовы “does not work on ubuntu debian“. В тексте issue он дает ссылку на translate моей темы “проблема с ConsoleAutocompleteBundle” с форума zf.ru.

Так к чему я это пишу? Прошел почти год с того момента как я столкнулся с этой проблемой. Ну, думаю, должны были за это время все разрулить и баг пофиксить. Разворачиваю тестовое приложение, настраиваю, ставлю бандл, настраиваю, пробую автокомплит и разочаровываюсь — проблема осталась (((.

Показал ссылку на обсуждение бага Жене (наш админ) и он посоветовал мне установить php 5.3.10 с ppa. И вот когда я его поставил, то все заработало! Ура :)

PS. На всякий случаю запишу, что ставил я его вот так:

$ sudo add-apt-repository ppa:nginx/php5.3
$ sudo aptitude update
$ sudo aptitude upgrade --full-resolver

Ubuntu 10.04 tips & tricks

Взагалі то я поставив собі Linux Mint 9 (Isadora) RC. Але це ж форк, то ж проблеми ті самі.

1. Індикатор розкладки клавіатури

Не сподобався мені індикатор розкладки клавіатури, який в 10.04 перенесли в Notification Area — розмір шрифта замалий, та й розташування не дуже вдале (я звик ставити його в правому куті нижньої панелі).

В тенетах прочитав, що можна його взагалі відключити командою:

gconftool-2 -s /desktop/gnome/peripherals/keyboard/general/disable_indicator -t bool true

Але цей варіант не зручний, якщо розкладок більше 2х (коли 2ві, то можна індикацію на Scroll Lock/Num Lock/Caps Lock винести). Щоб включити індикатор назад:

gconftool-2 -s /desktop/gnome/peripherals/keyboard/general/disable_indicator -t bool false

Другий спосіб — зробити його у вигляді прапорців (http://forum.ubuntu.ru/index.php?topic=84817.0). На цьому варіанті я поки й зупинився.

2. Відстань між елементами в Indicator Applet

Є толкова стаття на Хабрі - http://habrahabr.ru/blogs/ubuntu/93083/

3. Низька роздільна здатність сплешскріна

Спочатку було норм, а після встановлення пропрієтарних драйверів від nVidia сплешскрін почав відображатись в дуже низькій роздільній здатності. Вирішення проблеми теж випадково зустрів на Хабрі http://habrahabr.ru/blogs/ubuntu/92637/

Інтернет від PEOPLENet – people є, а net’а нєт? Чи може таки є?

people.net.uaВ березні 2008-го я по контракту підключився до PEOPLENet (тарифний план Inet-2G). На початку мене цей Інтернет дуже виручав – я жив то у Львові, то у Хмельницькому, а платити за Інтернет двом різним провайдерам було не з руки. Але коли я вже більш-менш осів в Хмельницькому і затягнув до хати нормальний Інтернет від Datasvit, то потреба в мобільному Інтернеті майже відпала. Так як угоду було укладено на рік, то я просто призупиняв надання послуг (треба писати заяву в центрі обслуговування клієнтів), відновлюючи їх за потребою. Коротше кажучи, останні півроку я ним не користувався. Continue reading

Поставив Fallout2 під Ubuntu :)

Fallout 2Я прусь :). Чесно до вчорашнього дня навіть не думав, що це можливо.

Спочатку мені на очі потрапила тема “ubuntu + iso образ + желание порубится в Fallout“. Ну, думаю, ubuntu в мене є, бажання теж, не вистачає тільки образу. Тож пішов гуглити російську версію другого фолу від 1C. Перший же лінк привів мене на торрент thepiratebay.
Continue reading

Ubuntu і restricted ATI драйвер

Ubuntu and restricted ATI driversЗа ці два дні я трохи піднаторів у справі встановлення ATI драйврів під Ubuntu :).

З open source дровами якось не склалося:
- 85 Hz дуже тисне на очі
- потрібна нормальна підтримка 3D (хочеться пошпіляти %))

Continue reading

Ubuntu і open source ATI драйвер

Ubuntu and open source ATI driverТрошки оффтопу – зліва можна побачити першу картинку яку я зробив в gimp :).

Тепер по суті. Перед Новим Роком зніс на домашньому компі “кватирки” і поставив Ubuntu 8.10. Налаштував інтернет, поставив аудіоплеєр, відео кодеки і пропієтарні драйвера від ATI (fglrx). Це була моя друга спроба перейти конкретно на Ubuntu і мабуть вже 10-та спроба перейти на Linux чи FreeBSD. Тобто певні навички є, але їх ще недостатньо, щоб комфортно працювати під цими ОС. Наприклад я до вчорашнього дня не знав, що в Ubuntu 8.10 є проблеми з пропієтарними дровами від ATI…
Continue reading